#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QTreeWidgetItem


class TrackItem(QTreeWidgetItem):
    def __init__(self, track, parent=None):
        super().__init__(parent)

        self.track = track
        track.item = self

        self.setFlags(
            Qt.ItemFlag.ItemIsEnabled |
            Qt.ItemFlag.ItemIsSelectable |
            Qt.ItemFlag.ItemIsDragEnabled
        )

        self.setText(2, track.tags.title)
        self.setText(3, track.tags.artist)
        self.setText(4, track.tags.album)
        self.setText(5, str(track.index_custom_sort + 1))

